Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class TaskNoticeType

    java.lang.Object
      com.compoze.domino.TaskNoticeType

All Implemented Interfaces:
  java.io.Serializable

public class TaskNoticeType
extends java.lang.Object
implements java.io.Serializable

This class stores the values for the Domino task notice types. The type of notice is represented with a type string.

See Also:
  Serialized Form

Field Summary
`static TaskNoticeType` | `ACCEPTED` This value represents the 'accepted' notice type.
`static TaskNoticeType` | `ACCEPTED_ASSIGNMENT` This value represents the 'accepted assignment' notice type.
`static TaskNoticeType` | `ASSIGNMENT` This value represents the 'assignment' notice type.
`static TaskNoticeType` | `ASSIGNMENT_DELEGATE` This value represents the 'assignment delegate' notice type.
`static TaskNoticeType` | `CANCELLED` This value represents the 'cancelled' notice type.
`static TaskNoticeType` | `COMPLETED` This value represents the 'completed' notice type.
`static TaskNoticeType` | `COMPLETED_ASSIGNMENT` This value represents the 'completed assignment' notice type.
`static TaskNoticeType` | `CONFIRMED` This value represents the 'confirmed' notice type.
`static TaskNoticeType` | `COUNTER_DECLINED` This value represents the 'counter declined' notice type.
`static TaskNoticeType` | `COUNTERED` This value represents the 'countered' notice type.
`static TaskNoticeType` | `COUNTERED_ASSIGNMENT` This value represents the 'countered assignment' notice type.
`static TaskNoticeType` | `DECLINED` This value represents the 'declined' notice type.
`static TaskNoticeType` | `DECLINED_ASSIGNMENT` This value represents the 'declined assignment' notice type.
`static TaskNoticeType` | `DELEGATED` This value represents the 'delegated' notice type.
`static TaskNoticeType` | `DELEGATED_ASSIGNMENT` This value represents the 'delegated assignment' notice type.
`static TaskNoticeType` | `REQUEST_INFO` This value represents the 'request info' notice type.
`static TaskNoticeType` | `RESCHEDULED` This value represents the 'rescheduled' notice type.
`static TaskNoticeType` | `UPDATED_INFO` This value represents the 'updated info' notice type.
`static int` | `VALUE_ACCEPTED` This value represents the 'accepted' value.
`static int` | `VALUE_ACCEPTED_ASSIGNMENT` This value represents the 'accepted assignment' value.
`static int` | `VALUE_ASSIGNMENT` This value represents the 'assignment' value.
`static int` | `VALUE_ASSIGNMENT_DELEGATE` This value represents the 'assignment delegate' value.
`static int` | `VALUE_CANCELLED` This value represents the 'cancelled' value.
`static int` | `VALUE_COMPLETED` This value represents the 'completed' value.
`static int` | `VALUE_COMPLETED_ASSIGNMENT` This value represents the 'completed assignment' value.
`static int` | `VALUE_CONFIRMED` This value represents the 'confirmed' value.
`static int` | `VALUE_COUNTER_DECLINED` This value represents the 'counter declined' value.
`static int` | `VALUE_COUNTERED` This value represents the 'countered' value.
`static int` | `VALUE_COUNTERED_ASSIGNMENT` This value represents the 'countered assignment' value.
`static int` | `VALUE_DECLINED` This value represents the 'declined' value.
`static int` | `VALUE_DECLINED_ASSIGNMENT` This value represents the 'declined assignment' value.
`static int` | `VALUE_DELEGATED` This value represents the 'delegated' value.
`static int` | `VALUE_DELEGATED_ASSIGNMENT` This value represents the 'delegated assignment' value.
`static int` | `VALUE_REQUEST_INFO` This value represents the 'request info' value.
`static int` | `VALUE_RESCHEDULED` This value represents the 'rescheduled' value.
`static int` | `VALUE_UPDATED_INFO` This value represents the 'updated info' value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static TaskNoticeType` | `get(int iValue)` Gets the notice type using the enumeration value.
`static java.util.List` | `getList()` Gets the list of notice types.
`java.lang.Object` | `getStoreValueObject()` Gets the store value as an object.
`java.lang.String` | `getType()` Gets the type string of the notice type.
`int` | `getValue()` Gets the enumeration value of the notice type.
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VALUE_ACCEPTED

    public static final int VALUE_ACCEPTED

  This value represents the 'accepted' value.

  See Also:
    Constant Field Values

### VALUE_DECLINED

    public static final int VALUE_DECLINED

  This value represents the 'declined' value.

  See Also:
    Constant Field Values

### VALUE_DELEGATED

    public static final int VALUE_DELEGATED

  This value represents the 'delegated' value.

  See Also:
    Constant Field Values

### VALUE_COUNTERED

    public static final int VALUE_COUNTERED

  This value represents the 'countered' value.

  See Also:
    Constant Field Values

### VALUE_COMPLETED

    public static final int VALUE_COMPLETED

  This value represents the 'completed' value.

  See Also:
    Constant Field Values

### VALUE_CONFIRMED

    public static final int VALUE_CONFIRMED

  This value represents the 'confirmed' value.

  See Also:
    Constant Field Values

### VALUE_CANCELLED

    public static final int VALUE_CANCELLED

  This value represents the 'cancelled' value.

  See Also:
    Constant Field Values

### VALUE_COUNTER_DECLINED

    public static final int VALUE_COUNTER_DECLINED

  This value represents the 'counter declined' value.

  See Also:
    Constant Field Values

### VALUE_REQUEST_INFO

    public static final int VALUE_REQUEST_INFO

  This value represents the 'request info' value.

  See Also:
    Constant Field Values

### VALUE_UPDATED_INFO

    public static final int VALUE_UPDATED_INFO

  This value represents the 'updated info' value.

  See Also:
    Constant Field Values

### VALUE_ASSIGNMENT_DELEGATE

    public static final int VALUE_ASSIGNMENT_DELEGATE

  This value represents the 'assignment delegate' value.

  See Also:
    Constant Field Values

### VALUE_ASSIGNMENT

    public static final int VALUE_ASSIGNMENT

  This value represents the 'assignment' value.

  See Also:
    Constant Field Values

### VALUE_DECLINED_ASSIGNMENT

    public static final int VALUE_DECLINED_ASSIGNMENT

  This value represents the 'declined assignment' value.

  See Also:
    Constant Field Values

### VALUE_COUNTERED_ASSIGNMENT

    public static final int VALUE_COUNTERED_ASSIGNMENT

  This value represents the 'countered assignment' value.

  See Also:
    Constant Field Values

### VALUE_DELEGATED_ASSIGNMENT

    public static final int VALUE_DELEGATED_ASSIGNMENT

  This value represents the 'delegated assignment' value.

  See Also:
    Constant Field Values

### VALUE_COMPLETED_ASSIGNMENT

    public static final int VALUE_COMPLETED_ASSIGNMENT

  This value represents the 'completed assignment' value.

  See Also:
    Constant Field Values

### VALUE_ACCEPTED_ASSIGNMENT

    public static final int VALUE_ACCEPTED_ASSIGNMENT

  This value represents the 'accepted assignment' value.

  See Also:
    Constant Field Values

### VALUE_RESCHEDULED

    public static final int VALUE_RESCHEDULED

  This value represents the 'rescheduled' value.

  See Also:
    Constant Field Values

### RESCHEDULED

    public static final TaskNoticeType RESCHEDULED

  This value represents the 'rescheduled' notice type.

### ACCEPTED

    public static final TaskNoticeType ACCEPTED

  This value represents the 'accepted' notice type.

### DECLINED

    public static final TaskNoticeType DECLINED

  This value represents the 'declined' notice type.

### DELEGATED

    public static final TaskNoticeType DELEGATED

  This value represents the 'delegated' notice type.

### COUNTERED

    public static final TaskNoticeType COUNTERED

  This value represents the 'countered' notice type.

  See Also:
    `TaskCounterProposal`

### COMPLETED

    public static final TaskNoticeType COMPLETED

  This value represents the 'completed' notice type.

### CONFIRMED

    public static final TaskNoticeType CONFIRMED

  This value represents the 'confirmed' notice type.

### CANCELLED

    public static final TaskNoticeType CANCELLED

  This value represents the 'cancelled' notice type.

### COUNTER_DECLINED

    public static final TaskNoticeType COUNTER_DECLINED

  This value represents the 'counter declined' notice type.

  See Also:
    `TaskAssignment`

### REQUEST_INFO

    public static final TaskNoticeType REQUEST_INFO

  This value represents the 'request info' notice type.

  See Also:
    `RequestAssignmentInfo`

### UPDATED_INFO

    public static final TaskNoticeType UPDATED_INFO

  This value represents the 'updated info' notice type.

  See Also:
    `TaskAssignment`

### ASSIGNMENT_DELEGATE

    public static final TaskNoticeType ASSIGNMENT_DELEGATE

  This value represents the 'assignment delegate' notice type.

  See Also:
    `TaskAssignment`

### ASSIGNMENT

    public static final TaskNoticeType ASSIGNMENT

  This value represents the 'assignment' notice type.

  See Also:
    `TaskAssignment`

### DECLINED_ASSIGNMENT

    public static final TaskNoticeType DECLINED_ASSIGNMENT

  This value represents the 'declined assignment' notice type.

  See Also:
    `TaskAssignment`

### COUNTERED_ASSIGNMENT

    public static final TaskNoticeType COUNTERED_ASSIGNMENT

  This value represents the 'countered assignment' notice type.

  See Also:
    `CounteredTaskAssignment`

### DELEGATED_ASSIGNMENT

    public static final TaskNoticeType DELEGATED_ASSIGNMENT

  This value represents the 'delegated assignment' notice type.

  See Also:
    `DelegatedTaskAssignment`

### COMPLETED_ASSIGNMENT

    public static final TaskNoticeType COMPLETED_ASSIGNMENT

  This value represents the 'completed assignment' notice type.

  See Also:
    `TaskAssignment`

### ACCEPTED_ASSIGNMENT

    public static final TaskNoticeType ACCEPTED_ASSIGNMENT

  This value represents the 'accepted assignment' notice type.

  See Also:
    `TaskAssignment`

Method Detail

### getType

    public java.lang.String getType()

  Gets the type string of the notice type. This is the notice type string in the underlying store.

  Returns:
    the type string of the notice type

### getStoreValueObject

    public java.lang.Object getStoreValueObject()

  Gets the store value as an object.

  Returns:
    the store value

### getValue

    public int getValue()

  Gets the enumeration value of the notice type. This value is unique within the `TaskNoticeType` class.

  Returns:
    the enumeration value of the notice type (see `VALUE_` constants)

### get

    public static TaskNoticeType get(int iValue)

  Gets the notice type using the enumeration value.

  Parameters:
    `iValue` - the enumeration value of the notice type
  Returns:
    the matching notice type or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of notice types.

  Returns:
    the list of `TaskNoticeType`s (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. An object is considered equal if the type string matches (case insensitive).

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same type string as the argument; `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.